Subject: Re: bug#47244: 28.0.50; SIGSEGV in long-runnning Emacs

From: Eli Zaretskii <[email-masked]>
Date: Tue, 23 Mar 2021 18:42:25 +0200

> From: Michael Welsh Duggan <[email-masked]>
> Cc: "[email-masked]" <[email-masked]>,
>         "[email-masked]"
>  <[email-masked]>,
>         "[email-masked]" <[email-masked]>
> Date: Tue, 23 Mar 2021 11:08:36 -0400
> 
> >> #0  0x00005555555e1b6d in redisplay_internal ()
> >>     at ../../master/src/xdisp.c:15789
> >
> > I don't understand: the breakpoint was supposed to be on line 1840 in
> > buffer.c, so why does frame #0 show line 15789 in xdisp.c?  What am I
> > missing here?  Is this the right backtrace?
> 
> My mistake.  It was a segfault.  The breakpoint did not trigger.  Here's
> the breakpoint in question:
> 
> 5       breakpoint     keep y   0x0000555555713580 in Fkill_buffer 
>                                                    at ../../master/src/buffer.c:1840 inf 1, 2
>         stop only if redisplaying_p != 0 && b->window_count > 0

Then I guess the hypothesis about the scenario which causes the crash
was wrong.  Let's see if Martin's suggestion has better luck.